Subject: bug#34765: 26.1; with-temp-buffer should not run buffer-list-update-hook

From: martin rudalics <[email-masked]>
Date: Mon, 30 Nov 2020 10:05:59 +0100

>>>>> The latter may be a nice addition, but the patch here is pretty much
 >>>>> necessary for implementing something like that, so was there any reason
 >>>>> the patch wasn't applied?
 >>>>
 >>>> AFAIU, the patch was never finalized after the review comments.
 >>>
 >>> Right.  Martin, did you finish up this patch?
 >>
 >> No.  IIRC some issues were never resolved and Basil also wanted to add
 >> something.
 >
 > Did I?  AFAICT I was only pointing out the trivial simplification of
 > Fgenerate_new_buffer_name + Fget_buffer_create = Fgenerate_new_buffer
 > once Fgenerate_new_buffer can be called from C.
 >
 > I was otherwise happy with the patch and either of the proposed
 > approaches to setting inhibit_buffer_hooks.
 >
 >> If you can make heads or tails of it ...
 >
 > Depends: is it an animal or a coin?

Both, probably.  If you think that patch is of some use, please try to
polish it up and push it.  Honestly, I've forgotten all about it.

And also tell us why 'buffer-list-update-hook' would be still needed now
that we have 'window-selection-change-functions'.

Thanks, martin